Package org.tmatesoft.svn.core.wc2

# Enum SvnSchedule

java.lang.Object
java.lang.Enum<SvnSchedule>
org.tmatesoft.svn.core.wc2.SvnSchedule

All Implemented Interfaces:
  `Serializable`, `Comparable<SvnSchedule>`, `java.lang.constant.Constable`

public enum SvnSchedule extends Enum<SvnSchedule>
Describe the kind of schedule. This can be:

- NORMAL - item is not scheduled
- ADD - item is scheduled for add
- DELETE - item is scheduled for delete
- REPLACE - item is scheduled for replace

Version:
  1.7
Author:
  TMate Software Ltd.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
`DELETE`
`NORMAL`
`REPLACE`

## Method Summary

Modifier and Type
Method
Description
`String`
`asString()`
Returns `String` representation of schedule, empty string if item is not scheduled, schedule name otherwise.
`static SvnSchedule`
`fromString(String str)`
Creates `SvnSchedule` from `String` representation.
`static SvnSchedule`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SvnSchedule[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NORMAL

public static final SvnSchedule NORMAL

### ADD

public static final SvnSchedule ADD

### DELETE

public static final SvnSchedule DELETE

### REPLACE

public static final SvnSchedule REPLACE

## Method Details

### values

public static SvnSchedule[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SvnSchedule valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### asString

public String asString()
Returns `String` representation of schedule, empty string if item is not scheduled, schedule name otherwise.

Returns:
  schedule as `String`

### fromString

public static SvnSchedule fromString(String str)
Creates `SvnSchedule` from `String` representation.

Parameters:
  `str` - schedule `String` representation
Returns:
  `SvnSchedule` object